import type { LanguageInput, ThemeRegistrationAny } from 'shiki'

export interface ThemedToken {
  content: string
  color?: string
  fontStyle?: string
  fontWeight?: string
}

export interface TokensResult {
  tokens: ThemedToken[][]
}

export interface SyntaxHighlighterProps {
  text: string
  language: LanguageInput
  languageId: string
  theme?: ThemeRegistrationAny
  fontSize?: number
}
